<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       http://www.themeinthebox.com
 * @since      1.0.0
 *
 * @package    Wp_Restaurant_Price_List
 * @subpackage Wp_Restaurant_Price_List/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    Wp_Restaurant_Price_List
 * @subpackage Wp_Restaurant_Price_List/includes
 * @author     ThemenintheBox.com - WordPressGuru.it <support@themeinthebox.com>
 */
class Wp_Restaurant_Price_List_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'wp-restaurant-price-list',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
