<?php
	

# ============================== #
# ==== METABOX - PRICE LIST ==== #
# ============================== #

add_filter( 'rwmb_meta_boxes', 'mbfields_wp_restaurant_price_list' );


function mbfields_wp_restaurant_price_list( $meta_boxes ) {
	
	$prefix = 'wprpl-';



    $meta_boxes[] = array(
        'title'          => 'Restaurant Price List',
        'post_types'     => 'wprpl',
        
        'fields' => array(

            array(
                'id'       => $prefix .'layout',
                'name'     => 'Layout',
                'type'     => 'image_select',

                // Array of 'value' => 'Image URL' pairs
                'options'  => array(
                    'list'  => plugin_dir_url( __FILE__ ) . '/public/img/List.png',
                    'thumb' => plugin_dir_url( __FILE__ ) . '/public/img/Thumb.png',
                    //'large'  => plugin_dir_url( __FILE__ ) . '/public/img/BigThumb.png',
                ),

                'std'   => 'list',

            ),


            array(
                'id'        => $prefix .'lightbox',
                'name'      => 'LightBox',
                'type'      => 'switch',
                'desc'      => 'Only <a href="https://www.themeinthebox.com/wp-restaurant-price-list-pro/?ref=3&campaign=plugin" target="_blank">Pro Version</a>',
                
                // Style: rounded (default) or square
                'style'     => 'rounded',

                // On label: can be any HTML
                //'on_label'  => 'Yes',

                // Off label
                'off_label' => 'No',
                'disabled'  => true,
                // 'attributes' => array(
                //     'disabled'  => true,
                // ),

                'std' => 0,

                'hidden' => array( $prefix .'layout', '=', 'large' )
            ),
            
            array(
                'id'        => $prefix .'circle',
                'name'      => 'Circle Thumbs?',
                'type'      => 'switch',
                
                // Style: rounded (default) or square
                'style'     => 'rounded',
            
                // On label: can be any HTML
                'on_label'  => 'Yes',
            
                // Off label
                'off_label' => 'No',
                'std' => 0,
                'visible' => array( $prefix. 'layout', '=', 'thumb' ),
            
            ),

            
            array(
                'name'   => esc_html__( 'Price List', 'wp-restaurant-price-list' ),
                'id'     => $prefix .'group_id',
                'type'   => 'group',
                //'label_description'   => 'Use [wprpl] shortcode in the post or page',
                'clone'  => true,
                'sort_clone' => true,
                'collapsible' => true,
                'group_title' => array( 'field' => $prefix . 'item' ),
                'save_state' => true,
                // List of sub-fields
            
            
                'fields' => array(                    
                    
                    array(
                        'name'    => esc_html__( 'Row type', 'wp-restaurant-price-list' ),
                        'id'      => $prefix .'rowType',
                        'type'    => 'radio',
                        // Array of 'value' => 'Label' pairs for radio options.
                        // Note: the 'value' is stored in meta field, not the 'Label'
                        'options' => array(
                            'item_list' => 'List item',
                            'multiple_price' => 'Variable product (Only <a href="https://www.themeinthebox.com/wp-restaurant-price-list-pro/?ref=3&campaign=plugin" target="_blank">Pro Version</a>)',
                            'category_title' => 'Category Title',
                        ),
                        // Show choices in the same line?
                        'inline' => true,
                        'std'     => 'category_title',
                    ),
                    // 'hidden' => array( $prefix .'rowType', '=', 'category_title' )

                    array(
                        'name' => esc_html__( 'Item', 'wp-restaurant-price-list' ),
                        'id' => $prefix .'item',
                        'type' => 'text',
                        'desc' => esc_html__( 'Name of the dish', 'wp-restaurant-price-list' ),
                        'attributes' => array(
                            'required'  => true,
                        ),

                        'hidden' => array( $prefix .'rowType', '=', 'category_title' ),
                    ),

                    array(
                        'name' => esc_html__( 'Category', 'wp-restaurant-price-list' ),
                        'id' => $prefix .'category',
                        'type' => 'text',
                        'desc' => esc_html__( 'Category name', 'wp-restaurant-price-list' ),
                        'attributes' => array(
                            'required'  => true,
                        ),

                        'visible' => array( $prefix .'rowType', '=', 'category_title' ),
                    ),

                
                	array(
        				'name' => esc_html__( 'Ingredients', 'wp-restaurant-price-list' ),
        				'id' => $prefix .'ingredients',
        				'type' => 'textarea',
        				'desc' => esc_html__( 'If the field is empty it will not be displayed', 'wp-restaurant-price-list' ),
                        'hidden' => array( $prefix .'rowType', '=', 'category_title' ),
        			),
                    
                    array(
                        'name' => esc_html__( 'Price', 'wp-restaurant-price-list' ),
                        'id' => $prefix .'price',
                        'min'  => 0,
                        'step' => 0.01,
                        'type' => 'number',
                        'desc' => esc_html__( 'Use numbers only', 'wp-restaurant-price-list' ),

                        'hidden' => array( 
                            'when' => array(
                                //array( $prefix .'layout', '=', 'large' ),
                                array( $prefix .'rowType', '=', 'category_title' ),
                                array( $prefix .'rowType', '=', 'multiple_price' ),
                             ),
                             'relation' => 'or'
                        ),
                        // 'hidden' => array( $prefix .'rowType', '=', 'category_title' ),
                        // 'hidden' => array( $prefix .'rowType', '=', 'multiple_price' ),
                    ),

                    array(
                        'name' => esc_html__( 'Price', 'wp-restaurant-price-list' ),
                        'id' => $prefix .'varPrice',
                        // 'min'  => 0,
                        // 'step' => 0.01,
                        'type' => 'fieldset_text',

                            'options' => array(
                                'varItem'    => 'Variation name',
                                'varPrice' => 'Variation price',
                            ),

                        //'clone' => true,
                        'sort_clone' => true,
                        'add_button' => '+ Variation',
                        'desc' => esc_html__( 'Specify the product name and price variable', 'wp-restaurant-price-list' ),
                        'visible' => array( $prefix .'rowType', '=', 'multiple_price' ),
                        'disabled'  => true,
                    ),


                    array(
                        'id'        => $prefix .'attPrice',
                        'name'      => 'Hide Price in Lightbox',
                        'type'      => 'checkbox',
                        'std'       => 0,
                        
                        'hidden' => array( 
                            'when' => array(
                                //array( $prefix .'layout', '=', 'large' ),
                                array( $prefix .'lightbox', '=', 0 ),
                                array( $prefix .'rowType', '=', 'category_title' ),
                             ),
                             'relation' => 'or'
                        ),
                        'disabled'  => true,
                        'desc'      => 'Only <a href="https://www.themeinthebox.com/wp-restaurant-price-list-pro/?ref=3&campaign=plugin" target="_blank">Pro Version</a>',
                    ),
                    
                    
                    array(
                        'name'             => 'Image Upload',
                        'id'               => $prefix .'image_item',
                        'type'             => 'image_advanced',

                        // Delete image from Media Library when remove it from post meta?
                        // Note: it might affect other posts if you use same image for multiple posts
                        'force_delete'     => false,



                        'visible' => array( 
                            'when' => array(
                                
                                array( $prefix . 'layout', '=', array( 'thumb' ) ),
                                array( $prefix . 'layout', '=', array( 'large' ) ),
                                array( $prefix . 'lightbox', '!=', 0 ),
                                
                            ),
                            'relation' => 'or'
                        ),
                            

                        // Maximum image uploads
                        'max_file_uploads' => 1,
                    ),


        			
        			

                    array(
                        'name'    => 'Allergens List',
                        'id'      => $prefix .'allergensList',
                        'type'    => 'checkbox_list',
                        // Options of checkboxes, in format 'value' => 'Label'
                        //'options' => $listallergens,
                        // Display options in a single row?
                        // 'inline' => true,
                        // Display "Select All / None" button?
                        'select_all_none' => true,

                        'hidden' => array( $prefix .'rowType', '=', 'category_title' ),
                        'disabled'  => true,
                        'desc'      => 'Only <a href="https://www.themeinthebox.com/wp-restaurant-price-list-pro/?ref=3&campaign=plugin" target="_blank">Pro Version</a>',
                    ),


    	        
        
                ),
                
            ),
            
            
        ),

        
    );
    
    return $meta_boxes;
    
}



