<?php
	

/*------------------------------------*\
	SETTING PAGE
\*------------------------------------*/

add_filter( 'mb_settings_pages', 'wprpl_settings_pages' );
function wprpl_settings_pages( $settings_pages ) {
    $settings_pages[] = array(
        'id'            => 'wprpl-options',
        'menu_title'    => 'Settings',
        'option_name'   => 'wprpl_options',
        'icon_url'      => 'dashicons-images-alt',
        'submenu_title' => 'WP Restaurant Price List', // Note this
        'parent'		=> 'edit.php?post_type=wprpl',
        'columns'		=>	'1',
        
        'tabs'        => array(
            'general' => 'Restaurant Price List',
            'settings'  => 'Settings',
            'allergens'  => 'Allergens',
            'appearance'  => 'Appearance',
            'faq'     => 'Support & PRO',
        ),
    );
    return $settings_pages;
}



// Register meta boxes and fields for settings page
add_filter( 'rwmb_meta_boxes', 'wprpl_options_meta_boxes' );
function wprpl_options_meta_boxes( $meta_boxes ) {
	
	$prefix = 'wprpl-';
	       	
	            
    $meta_boxes[] = array(
        'id'             => 'general',
        'title'          => 'Restaurant Price List',
        'settings_pages' => 'wprpl-options',
        'tab'            => 'general',
        
        'fields' => array(
	        
	        array(
				'name'	=> 'List Type',
				'id'	=> $prefix . 'listType',
				'type'	=> 'radio',
				'std'	=> 'mono',
				// Array of 'value' => 'Label' pairs for radio options.
				// Note: the 'value' is stored in meta field, not the 'Label'
				'options' => array(
				    'mono' => 'Mono List',
				    'multi' => 'Multi List <em>(Pro Version Compatibility)</em>',
				),
				// Show choices in the same line?
				'inline' => true,
			),

	        array(
	            'type'       => 'post',
                'name'       => esc_html__( 'Choose which price menu to show', 'wp-restaurant-price-list' ),
                'label_description'   => 'Use [wprpl] shortcode in the post or page',
                'id'         => $prefix .'wpdp_post',
                'post_type'  => 'wprpl',
                'field_type' => 'select_advanced',
                'visible' => array( $prefix . 'listType', '=', 'multi' ),
            ),	
	        		        
            array(
                'name'   => esc_html__( 'Price List', 'wp-restaurant-price-list' ),
                'id'     => $prefix .'group_id',
                'type'   => 'group',
                'label_description'   => 'Use [wprpl] shortcode in the post or page',
                'clone'  => true,
                'sort_clone' => true,
                'collapsible' => true,
                'group_title' => array( 'field' => $prefix . 'title' ),
                'save_state' => true,
                'hidden' => array( $prefix . 'listType', 'contains', 'multi' ),
                // List of sub-fields
            
            
                'fields' => array(
                    
                    
                    array(
                        'name'  => esc_html__( 'Category', 'wp-restaurant-price-list' ),
                        'id'    => $prefix . 'title',
                        'type'  => 'text',
                        //'clone' => true,
                    ),
                    // Nested group level 2
                    array(
                        'name'   => esc_html__( 'Food', 'wp-restaurant-price-list' ),
                        'id'     => $prefix . 'food',
                        'collapsible' => true,
                        'sort_clone' => true,
                        'save_state' => true,
                        'type'   => 'group',
                        'group_title' => array( 'field' => $prefix .'item' ),
                        'clone'  => true,
                        'fields' => array(
                            // Normal field (cloned)
                            array(
                				'name' => esc_html__( 'Item', 'wp-restaurant-price-list' ),
                				'id' => $prefix .'item',
                				'type' => 'text',
                				'desc' => esc_html__( 'Name of the dish', 'wp-restaurant-price-list' ),
                				'attributes' => array(
                    				'required'  => false,
                				),
                			),
                        
                        	array(
                				'name' => esc_html__( 'Ingredients', 'wp-restaurant-price-list' ),
                				'id' => $prefix .'ingredients',
                				'type' => 'textarea',
                				'desc' => esc_html__( 'If the field is empty it will not be displayed', 'wp-restaurant-price-list' ),
                			),
                        
                                    
                			array(
                				'name' => esc_html__( 'Price', 'wp-restaurant-price-list' ),
                				'id' => $prefix .'price',
                				'min'  => 0,
                				'step' => 0.01,
                				'type' => 'number',
                				'desc' => esc_html__( 'Use numbers only', 'wp-restaurant-price-list' ),
                			),
                			
                			array(
                                'name'             => 'Image Upload',
                                'id'               => $prefix .'image_item',
                                'type'             => 'image_advanced',
        
                                // Delete image from Media Library when remove it from post meta?
                                // Note: it might affect other posts if you use same image for multiple posts
                                'force_delete'     => false,
                                
                                'visible' => array(
                                    'when' => array(
                                        array( $prefix. 'layout', '!=', 'list' ),
                                        array( $prefix . 'lightbox', '=', 1 ),
                                        
                                     ),
                                     'relation' => 'or'
                                ),
                                
                                // Maximum image uploads
                                'max_file_uploads' => 1,
                            ),
                			
                        ),
                    ),
    	        
        
                ),
                
            ),
            
            
        ),

        
    );

    $meta_boxes[] = array(
        'id'             => 'settings',
        'title'          => 'Settings',
        'settings_pages' => 'wprpl-options',
        'tab'            => 'settings',
        
    'fields' => array(

        array(
            // Field name: usually not used

            'type' => 'custom_html',
            // HTML content
            'std'  => '<h1>WP Restaurant Price Lists <small>Ver. '. WP_RESTAURANT_PRICE_LIST_VERSION .'</small></h1><hr>',

            // PHP function to show custom HTML
            // 'callback' => 'display_warning',
        ),

        array(
			    'name' => esc_html__( 'Currency', 'wp-restaurant-price-list' ),
			    'id'   => $prefix .'currency',
			    'type' => 'text',
			    'desc' => esc_html__( 'Enter the currency symbol', 'wp-restaurant-price-list' ),
			),
			
        array(
			    'name' => esc_html__( 'Currency Position', 'wp-restaurant-price-list' ),
			    'id'   => $prefix .'currency_position',
			    'type' => 'radio',
			    'desc' => esc_html__( 'Choose which location to display the currency', 'wp-restaurant-price-list' ),
			    'std'  => 'left',
			    
			    'options' => array(
                    'left' => esc_html__( 'Left', 'wp-restaurant-price-list' ),
                    'right' => esc_html__( 'Right', 'wp-restaurant-price-list' ),
                ),
                
                'inline' => true,
			    
			),
			
        array(
                'id'        => $prefix .'decimal',
                'name'      => 'Decimals numeber',
                'desc'      => 'Choose if you want to show the decimal numbers',
                'type'      => 'switch',
                'std'       => 1,
                'style'     => 'rounded',
            
                // On label: can be any HTML
                'on_label'  => 'Yes',
            
                // Off label
                'off_label' => 'No',
            ),

        array(
            'name'        => 'Decimal separator',
            'id'          => $prefix .'decimal_sep',
            'type'        => 'text',

            // Default value (optional)
            'std'         => ',',

            // Placeholder
            //'placeholder' => 'Enter something here',

            // Input size
            'size'        => 2,

            'hidden' => array( $prefix .'decimal', '!=', 1 ),
        ),

        array(
            'name'        => 'Thousands separator',
            'id'          => $prefix .'thousand_sep',
            'type'        => 'text',

            // Default value (optional)
            'std'         => '.',

            // Placeholder
            //'placeholder' => 'Enter something here',

            // Input size
            'size'        => 2,
        ),

            
        array(
                'id'       => $prefix .'layout',
                'name'     => 'Layout',
                'type'     => 'image_select',
    
                // Array of 'value' => 'Image URL' pairs
                'options'  => array(
                    'list'  => plugin_dir_url( __FILE__ ) . '/public/img/List.png',
                    'thumb' => plugin_dir_url( __FILE__ ) . '/public/img/Thumb.png',
                ),
    
                'std'   => 'list',
                'visible' => array( $prefix. 'listType', '=', 'mono' ),
            ),
            
        array(
                'id'        => $prefix .'circle',
                'name'      => 'Circle Thumbs?',
                'type'      => 'switch',
                
                // Style: rounded (default) or square
                'style'     => 'rounded',
            
                // On label: can be any HTML
                'on_label'  => 'Yes',
            
                // Off label
                'off_label' => 'No',
                
                'visible' => array( $prefix. 'layout', '=', 'thumb' ),
            
            ),
			
			
		),

    );



    $meta_boxes[] = array(
        'id'                =>  'allergens',
        'title'             =>  'Allergens',
        'settings_pages'    =>  'wprpl-options',
        'tab'               =>  'allergens',

        'fields'    =>  array(

            array(
                // Field name: usually not used

                'type' => 'custom_html',
                // HTML content
                'std'  => '<h1>WP Restaurant Price Lists Pro <small>Ver. '. WP_RESTAURANT_PRICE_LIST_VERSION .'</small></h1><hr>',

                // PHP function to show custom HTML
                // 'callback' => 'display_warning',
            ),

            array(
                'id'      => $prefix .'listAllergens',
                'name'    => 'Allergens List',
                'type'    => 'text',

                // Options: array of key => Label for text boxes
                // Note: key is used as key of array of values stored in the database
                // 'options' => array(
                //     'icon'    => 'Icon',
                //     'allergen' => 'Allergen',
                // ),

                // Is field cloneable?
                //'clone' => true,
                //'sort_clone' => true,
                'add_button' => '+ Allergen',

                'disabled'  => true,
                'desc'      => 'Only <a href="https://www.themeinthebox.com/wp-restaurant-price-list-pro/?ref=3&campaign=plugin" target="_blank">Pro Version</a>',
            ),


        ),
    );

    

    $meta_boxes[] = array(
        'id'             => 'appearance',
        'title'          => 'Appearance',
        'settings_pages' => 'wprpl-options',
        'tab'            => 'appearance',
        
        'fields' => array(


            array(
                // Field name: usually not used

                'type' => 'custom_html',
                // HTML content
                'std'  => '<h1>WP Restaurant Price Lists Pro <small>Ver. '. WP_RESTAURANT_PRICE_LIST_VERSION .'</small></h1><hr>',

                // PHP function to show custom HTML
                // 'callback' => 'display_warning',
            ),
            
            array(
                // Field name: usually not used
            
                'type' => 'custom_html',
                // HTML content
                'std'  => '<div class="descArea">In this area you can choose to change the font size</div>',
            
                // PHP function to show custom HTML
                // 'callback' => 'display_warning',
            ),
            
            
            array(
                'name'            => 'Font Family',
                'id'              => $prefix . 'font',
                'type'            => 'select_advanced',
                // Array of 'value' => 'Label' pairs
                //'options'         => $fontList,
                // Allow to select multiple value?
                'multiple'        => false,
                // Placeholder text
                'placeholder'     => 'Select a Font',
                // Display "Select All / None" button?
                'select_all_none' => false,
                'disabled'  => true,
                'desc'      => 'Only <a href="https://www.themeinthebox.com/wp-restaurant-price-list-pro/?ref=3&campaign=plugin" target="_blank">Pro Version</a>',
            ),
            
            array(
                'name' => 'List title',
                'id'   => $prefix .'listSize_demo',
                'type' => 'slider',
            
                // Text labels displayed before and after value
                'suffix' => 'px',
            
                // jQuery UI slider options. See here http://api.jqueryui.com/slider/
                'js_options' => array(
                    'min'   => 0,
                    'max'   => 0,
                    'step'  => 1,
                ),
            
                'std' => 0,

                'disabled'  => true,
                'desc'      => 'Only <a href="https://www.themeinthebox.com/wp-restaurant-price-list-pro/?ref=3&campaign=plugin" target="_blank">Pro Version</a>',
            ),


            array(
                'name' => 'Cateogry title',
                'id'   => $prefix .'categorySize_demo',
                'type' => 'slider',
            
                // Text labels displayed before and after value
                'suffix' => 'px',
            
                // jQuery UI slider options. See here http://api.jqueryui.com/slider/
                'js_options' => array(
                    'min'   => 0,
                    'max'   => 0,
                    'step'  => 1,
                ),
            
                'std' => 0,

                'disabled'  => true,
                'desc'      => 'Only <a href="https://www.themeinthebox.com/wp-restaurant-price-list-pro/?ref=3&campaign=plugin" target="_blank">Pro Version</a>',
            ),

            array(
                'name'            => 'Category Title Text Align',
                'id'              => $prefix . 'categoryAlign_demo',
                'type'            => 'select',
                // Array of 'value' => 'Label' pairs
                'options'        => array(
                    'left'       => 'Left',
                    'center'     => 'Center',
                    'right'      => 'Right',
                ),
                // Allow to select multiple value?
                'multiple'        => false,
                // Placeholder text
                //'placeholder'     => 'Select an Item',
                // Display "Select All / None" button?
                'select_all_none' => false,

                'disabled'  => true,
                'desc'      => 'Only <a href="https://www.themeinthebox.com/wp-restaurant-price-list-pro/?ref=3&campaign=plugin" target="_blank">Pro Version</a>',
            ),

            
            
            array(
                'name' => 'Item title',
                'id'   => $prefix .'itemSize_demo',
                'type' => 'slider',
            
                // Text labels displayed before and after value
                'suffix' => 'px',
            
                // jQuery UI slider options. See here http://api.jqueryui.com/slider/
                'js_options' => array(
                    'min'   => 0,
                    'max'   => 0,
                    'step'  => 1,
                ),
            
                'std' => 0,

                'disabled'  => true,
                'desc'      => 'Only <a href="https://www.themeinthebox.com/wp-restaurant-price-list-pro/?ref=3&campaign=plugin" target="_blank">Pro Version</a>',
            ),
            
            
            array(
                'name' => 'Item body Font',
                'id'   => $prefix .'bodySize_demo',
                'type' => 'slider',
            
                // Text labels displayed before and after value
                'suffix' => 'px',
            
                // jQuery UI slider options. See here http://api.jqueryui.com/slider/
                'js_options' => array(
                    'min'   => 0,
                    'max'   => 0,
                    'step'  => 1,
                ),
            
                'std' => 0,

                'disabled'  => true,
                'desc'      => 'Only <a href="https://www.themeinthebox.com/wp-restaurant-price-list-pro/?ref=3&campaign=plugin" target="_blank">Pro Version</a>',
            ),
            
            
            
            array(
                'name' => 'Price',
                'id'   => $prefix .'priceSize_demo',
                'type' => 'slider',
            
                // Text labels displayed before and after value
                'suffix' => 'px',
            
                // jQuery UI slider options. See here http://api.jqueryui.com/slider/
                'js_options' => array(
                    'min'   => 0,
                    'max'   => 0,
                    'step'  => 1,
                ),
            
                'std' => 0,

                'disabled'  => true,
                'desc'      => 'Only <a href="https://www.themeinthebox.com/wp-restaurant-price-list-pro/?ref=3&campaign=plugin" target="_blank">Pro Version</a>',
            ),
            
            
            array(
                'name' => 'Currency Symbol',
                'id'   => $prefix .'currencySize_demo',
                'type' => 'slider',
            
                // Text labels displayed before and after value
                'suffix' => 'px',
            
                // jQuery UI slider options. See here http://api.jqueryui.com/slider/
                'js_options' => array(
                    'min'   => 0,
                    'max'   => 0,
                    'step'  => 1,
                ),
            
                'std' => 0,

                'disabled'  => true,
                'desc'      => 'Only <a href="https://www.themeinthebox.com/wp-restaurant-price-list-pro/?ref=3&campaign=plugin" target="_blank">Pro Version</a>',
            ),


            array(
                'name' => 'Allergens text size',
                'id'   => $prefix .'allergensSize_demo',
                'type' => 'slider',
            
                // Text labels displayed before and after value
                'suffix' => 'px',
            
                // jQuery UI slider options. See here http://api.jqueryui.com/slider/
                'js_options' => array(
                    'min'   => 0,
                    'max'   => 0,
                    'step'  => 1,
                ),
            
                'std' => 0,

                'disabled'  => true,
                'desc'      => 'Only <a href="https://www.themeinthebox.com/wp-restaurant-price-list-pro/?ref=3&campaign=plugin" target="_blank">Pro Version</a>',
            ),

            array(
                'name'          => 'Allergens backgrond color',
                'id'            => $prefix .'allergensColor_demo',
                'type'          => 'color',
                // Add alpha channel?
                'alpha_channel' => false,
                // Color picker options. See here: https://automattic.github.io/Iris/.
                
                //'std' => '#e5e5e5',

                'disabled'  => true,
                'desc'      => 'Only <a href="https://www.themeinthebox.com/wp-restaurant-price-list-pro/?ref=3&campaign=plugin" target="_blank">Pro Version</a>',
            ),
            
        ),
        
    ); 


    $meta_boxes[] = array(
        'id'             => 'info',
        'title'          => 'Author of the plugin',
        'settings_pages' => 'wprpl-options',
        'tab'            => 'faq',
        'fields'         => array(
            array(
                'type' => 'custom_html',
                'std'  => 'Development by <a href="https://www.wordpressguru.it" target="_blank">WordPressGuru.it</a> - <a href="https://www.themeinthebox.com" target="_blank">ThemeintheBox.com</a></br>
                For information  <a href="mailto:support@themeinthebox.com">support@themeinthebox.com</a> (ENG) - <a href="mailto:supporto@wordpressguru.it">supporto@wordpressguru.it</a> (ITA)',
            ),
            
            array(
                'type' => 'custom_html',
                'std'  => '<h3>Looking for some more features?</h3>
                Would you like to enter more than one list?<br>
                <ul id="wprpl-features">
                    <li>Unlimited lists (create as many lists as you want)</li>
                    <li>Define the font size for the titles, the price and the description of the articles</li>
                    <li>Dedicated technical assistance</li>
                    <li>Many other improvements</li>
                </ul>

                <p>We are working on the pro version, <a href="https://www.themeinthebox.com/wp-restaurant-price-list-pro/?ref=3&campaign=plugin" target="_blank">Check Out Now!</a></p>

                <p><a href="https://www.themeinthebox.com/contact-us/" target="_blank">Contact our support center</a> for a free trial in the administrator dashboard</p>',
            ),
        ),
    );
    return $meta_boxes;
}


