<?php
// Add Shortcode [wprpl]
function wprpl_display() {

    $prefix = 'wprpl-';

    //options
    $type = rwmb_meta( $prefix .'listType', array( 'object_type' => 'setting' ), 'wprpl_options' );
    $currency = rwmb_meta( $prefix .'currency', array( 'object_type' => 'setting' ), 'wprpl_options' );
    $cur_position = rwmb_meta( $prefix .'currency_position', array( 'object_type' => 'setting' ), 'wprpl_options' );
    $decimal = rwmb_meta( $prefix .'decimal', array( 'object_type' => 'setting' ), 'wprpl_options' );
    $output = '';

    if ( $type != 'multi' ) {

        $groups = rwmb_meta( $prefix .'group_id', array( 'object_type' => 'setting' ), 'wprpl_options' ); 
        if ( ! empty( $groups ) ) {
            foreach ( $groups as $group ) {
                
                
                
                if(!empty($group[$prefix .'title']) ) {
                    $title = $group[$prefix .'title'];
                    $output .= '<h3>'. $title .'</h3>';
                }
            
                $foods = $group[$prefix .'food'];
                
                    foreach ( $foods as $food ) {
                        $item = $food[$prefix .'item'];
                        
                        if(!empty($food[$prefix .'ingredients']) ) {
                            $ingredients = $food[$prefix .'ingredients'];
                        } else {
                            $ingredients = '';
                        }
                        
                        if(!empty($food[$prefix .'price']) ) {
                            $price = $food[$prefix .'price'];
                        } else {
                            $price = '';
                        }

                        // Decimal Separator
                        $decimalSep = rwmb_meta( $prefix .'decimal_sep', array( 'object_type' => 'setting' ), 'wprpl_options' );

                        // Thousands Separator
                        $thousandsSep = rwmb_meta( $prefix .'thousand_sep', array( 'object_type' => 'setting' ), 'wprpl_options' );

                        // Formatt decimalSep
                        if ( $decimalSep == null ) {
                            $decimalSep = ',';
                        }

                        // Formatt thousandsSep
                        if ( $thousandsSep == null ) {
                            $thousandsSep = '.';
                        }

                        // Show Decimals
                        $showPrice = '';
                        if ( $decimal && is_numeric($price) ) {

                            $showPrice = "<span class='wprpl_numb'>". number_format($price, 2, $decimalSep, $thousandsSep ). "</span>";

                        } elseif ( is_numeric($price) ) {

                            $showPrice = "<span class='wprpl_numb'>". number_format($price, 0, ',', $thousandsSep ). "</span>";

                        }
                    	
                    	ob_start();

                        //Layout Choise
                        $layout = rwmb_meta( $prefix .'layout', array( 'object_type' => 'setting' ), 'wprpl_options' );
                        // THUMBNAIL
                        if ( $layout == 'thumb' ) {
                            require plugin_dir_path( __FILE__ ) . '/templates/thumb.php';
                        
                        // LIST
                        } else {
                            require plugin_dir_path( __FILE__ ) . '/templates/list.php';
                        }
        
                        $output .=  ob_get_clean();
                        
                    }            
                
            }
        }

    } else {

        $menuId = rwmb_meta( $prefix .'wpdp_post', array( 'object_type' => 'setting' ), 'wprpl_options' ); 
        $q = new WP_Query(array(
            'post_type' => 'wprpl',
            'p' => $menuId,
        ));
        
        $output = '';
        
        $num = 1;

        while ($q->have_posts()) {
            $q->the_post();

            if(rwmb_meta( $prefix .'title' ) == '1') {
                //$title = get_the_title( );
                $output .= '<h3 class="itemTitleSize">'. get_the_title( ) .'</h3>';
            }


            if( !empty( rwmb_meta ( $prefix .'subtitle' ) ) ) {
                $output .= '<p>'.rwmb_meta( $prefix .'subtitle' ).'</p>';
            }

            $groups = rwmb_meta( $prefix .'group_id' );
            if ( ! empty( $groups ) ) {
                foreach ( $groups as $group ) {
                        
                    if (!empty( $group[$prefix .'item'] ) ) {
                        $item = $group[$prefix .'item'];
                    }

                    if (!empty( $group[$prefix .'category'] ) ) {
                        $catTitle = $group[$prefix .'category'];
                    }

                    if (!empty( $group[$prefix .'rowType'] ) ) {
                        $itemRow = $group[$prefix .'rowType'];
                    } else {
                        $itemRow = 'item_list';
                    }
                    
                    if(!empty($group[$prefix .'ingredients']) ) {
                        $ingredients = $group[$prefix .'ingredients'];
                    } else {
                        $ingredients = '';
                    }
                    
                    if(!empty($group[$prefix .'price']) ) {
                        $price = $group[$prefix .'price'];
                    } else {
                        $price = '';
                    }


                    // VARIATION PRICE
                    // if(!empty($group[$prefix .'varPrice']) ) {
                    //     $varPrices = $group[$prefix .'varPrice'];
                    // } else {
                    //     $varPrices = '';
                    // }
                    
                    
                    // Decimal Separator
                    $decimalSep = rwmb_meta( $prefix .'decimal_sep', array( 'object_type' => 'setting' ), 'wprpl_options' );

                    // Thousands Separator
                    $thousandsSep = rwmb_meta( $prefix .'thousand_sep', array( 'object_type' => 'setting' ), 'wprpl_options' );

                    // Show Decimals
                    $showPrice = '';
                    if ( $decimal && is_numeric($price) ) {

                        $showPrice = "<span class='wprpl_numb'>". number_format($price, 2, $decimalSep, $thousandsSep ). "</span>";

                    } elseif ( is_numeric($price) ) {

                        $showPrice = "<span class='wprpl_numb'>". number_format($price, 0, ',', $thousandsSep ). "</span>";

                    }
                    
                    ob_start();

                    //Layout Choise
                    //$layout = rwmb_meta( $prefix .'layout', array( 'object_type' => 'setting' ), 'wprpl_options' );

                    
                    // THUMBNAIL
                    if ( rwmb_meta( $prefix .'layout' ) == 'thumb' ) {
                        require plugin_dir_path( __FILE__ ) . '/templates/thumb-multi.php';
                    
                    // LIST
                    } else {
                        require plugin_dir_path( __FILE__ ) . '/templates/list-multi.php';
                    }

                    // 04/05/2020 - creava <em> in alcuni temi, da controllare
                    $output .=  ob_get_clean();

                    $num++;                       
                }
            }
            
        } // while
        wp_reset_postdata();
        
        return $output;

    }
    
    return $output;
    

}
add_shortcode( 'wprpl', 'wprpl_display' );


