<?php

/**
 * @link              http://www.themeinthebox.com
 * @since             1.4.1
 * @package           Wp_Restaurant_Price_List
 *
 * @wordpress-plugin
 * Plugin Name:       WP Restaurant Price List
 * Plugin URI:        http://www.themeinthebox.com/
 * Description:       Create the menu of your restaurant, pub or brewery, or simply to enter the price list of any business.
 * Version:           1.4.1
 * Author:            ThemenintheBox.com - WordPressGuru.it
 * Author URI:        http://www.themeinthebox.com
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       wp-restaurant-price-list
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'WP_RESTAURANT_PRICE_LIST_VERSION', '1.4.1' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-wp-restaurant-price-list-activator.php
 */
function activate_wp_restaurant_price_list() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-wp-restaurant-price-list-activator.php';
	Wp_Restaurant_Price_List_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-wp-restaurant-price-list-deactivator.php
 */
function deactivate_wp_restaurant_price_list() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-wp-restaurant-price-list-deactivator.php';
	Wp_Restaurant_Price_List_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_wp_restaurant_price_list' );
register_deactivation_hook( __FILE__, 'deactivate_wp_restaurant_price_list' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-wp-restaurant-price-list.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_wp_restaurant_price_list() {

	$plugin = new Wp_Restaurant_Price_List();
	$plugin->run();

}
run_wp_restaurant_price_list();


# =========================== #
# ==== ADD SETTINGS LINK ==== #
# =========================== #

add_filter('plugin_action_links_'.plugin_basename(__FILE__), 'settings_link_wp_restaurant_price_list');
function settings_link_wp_restaurant_price_list( $links ) {
	$links[] = '<a href="' .
		admin_url( 'edit.php?post_type=wprpl&page=wprpl-options' ) .
		'">' . __('Settings') . '</a>';
	return $links;
	
}

/*------------------------------------*\
	MetaBox
\*------------------------------------*/

//require plugin_dir_path( __FILE__ ) . '/assets/meta-box/meta-box.php';
if( !class_exists( 'RWMB_Loader' ) ) {
	include plugin_dir_path( __FILE__ ) . '/assets/meta-box/meta-box.php';
}

//require plugin_dir_path( __FILE__ ) . '/assets/mb-settings-page/mb-settings-page.php';
if( !class_exists( 'MB_Settings_Page_Loader' ) ) {
	include plugin_dir_path( __FILE__ ) . '/assets/mb-settings-page/mb-settings-page.php';
}

//require plugin_dir_path( __FILE__ ) . '/assets/meta-box-group/meta-box-group.php';
if( !class_exists( 'RWMB_Group_Field' ) ) {
	include plugin_dir_path( __FILE__ ) . '/assets/meta-box-group/meta-box-group.php';
}

//require plugin_dir_path( __FILE__ ) . '/assets/meta-box-conditional-logic/meta-box-conditional-logic.php';
if( !class_exists( 'MB_Conditional_Logic' ) ) {
	include plugin_dir_path( __FILE__ ) . '/assets/meta-box-conditional-logic/meta-box-conditional-logic.php';
}


require plugin_dir_path( __FILE__ ) . '/mb-settings.php';
require plugin_dir_path( __FILE__ ) . '/mb-field.php';
require plugin_dir_path( __FILE__ ) . '/wp-restaurant-price-list-shortcodes.php';

require plugin_dir_path( __FILE__ ) . '/cpt.php';

